Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetString

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetString

All Implemented Interfaces:
  jet.convert.PropInfo, jet.convert.StringInfo, jet.util.Propertiable

Direct Known Subclasses:
  JetImgProperty, JetStringList

    public class JetString

extends JetProperty
implements jet.convert.StringInfo

JetString, for saving/retrieving a String.

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Fields inherited from interface jet.util.Propertiable
`BIGSTRING, BOOLEAN, CHG_FMTTINGBLNAME, CHG_FMTTINGFORMULA, CHG_OTHER, COLOR, COMPFML_RESOURCE, CUSTOMER, CUSTOMERLINK, DELIM, DELIMCHAR, DOUBLE, ENUMERATION, IGNORED, IMAGE, IMGVECTOR, MAPPINGTBL, NORMAL_RESOURCE, NUMBER, REFERENCE, STRING, SUB1_DELIM, UNIT, VAL_NORMALLENGTH, VAL_NORMALSTART, VECTOR`

Constructor Summary
`JetString()`
`JetString(jet.controls.JetObject parent, java.lang.String name)` Create a JetString instance with default valueand normal value are empty-string.
`JetString(jet.controls.JetObject parent, java.lang.String name, java.lang.String defval)` Create a JetString instance with specified value.

Method Summary
`java.lang.String` | `get()` Effective if `JetProperty.isCurrentAutoValue()` is false, according to the following priority return : normal value > default value
`int[]` | `getMatchingSqlType()` Now, this API only for designer UI : get Matching SQL Type of this property Usage in UI : list all the (normal-)formula whose data-type in returned array
`java.util.Vector` | `getPropertyChoice()` Only For Designer UI
`void` | `set(DbValue thevalue)` Sets normal value via String.ValueOf(thevalue).
`void` | `set(java.lang.String value)` Sets normal value via a String.
`void` | `setPropertyChoice(java.util.Vector propertyChoice)` set property choice
`java.lang.String` | `toString()` Effective if `JetProperty.isCurrentAutoValue()` is false,according to the following priority return : normal value > default value

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, enableAllChangeBys, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByBLType, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getChangeByOtherType, getCurrentChangedBy, getCurrentValue, getCurrentValue, getEditFlag, getEditorType, getInspValue, getInspValue, getName, getNormalObject, getObject, getParent, getPropType, getRuntimeChangeBy, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isCurrentAutoValue, isCurrentChangedBy, isEnableAutoValue, isNull, isSetAnyChangeBy, isSetRuntimeChgBy, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setAsAutoValue, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByBL, setChangeByFmtt, setChangeByObject, setChangeByObject, setEditFlag, setEditorType, setEnableAutoValue, setObject, setRuntimeChangeBy, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jet.convert.PropInfo
`getChangeByObjectName, getInspValue, getName, getValue, isChangeByOther, isNull, toUnitString`

Constructor Detail

### JetString

    public JetString()

### JetString

    public JetString(jet.controls.JetObject parent,
                     java.lang.String name)

  Create a JetString instance with default valueand normal value are empty-string.

  Parameters:
    `parent` - owner
    `name` - name

### JetString

    public JetString(jet.controls.JetObject parent,
                     java.lang.String name,
                     java.lang.String defval)

  Create a JetString instance with specified value.

  Parameters:
    `parent` - owner
    `name` - name
    `defval` - value set to default value and normal value

Method Detail

### set

    public void set(java.lang.String value)

  Sets normal value via a String.

  Specified by:
    `set` in interface `jet.util.Propertiable`
  Overrides:
    `set` in class `JetProperty`
  Parameters:
    `value` - the String value, `null` means default value
  See Also:
    `setValue(String)`, `toString()`, `get()`

### set

    public void set(DbValue thevalue)

  Sets normal value via String.ValueOf(thevalue).

  Parameters:
    `thevalue` - the DbValue value, `null` means default value
  See Also:
    `setValue(DbValue)`, `toString()`, `get()`

### get

    public java.lang.String get()

  Effective if `JetProperty.isCurrentAutoValue()` is false, according to the following priority return : normal value > default value

  Specified by:
    `get` in interface `jet.convert.StringInfo`
  Returns:
    the value of this string.
  See Also:
    `set(String)`, `set(DbValue)`, `toString()`, `JetProperty.isCurrentAutoValue()`

### toString

    public java.lang.String toString()

  Effective if `JetProperty.isCurrentAutoValue()` is false,according to the following priority return : normal value > default value

  Specified by:
    `toString` in interface `jet.convert.PropInfo`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the value of this string.
  See Also:
    `set(String)`, `set(DbValue)`, `JetProperty.isCurrentAutoValue()`, `get()`

### getMatchingSqlType

    public int[] getMatchingSqlType()

  Description copied from class: `JetProperty`
  Now, this API only for designer UI : get Matching SQL Type of this property
  Usage in UI : list all the (normal-)formula whose data-type in returned array

  Overrides:
    `getMatchingSqlType` in class `JetProperty`
  See Also:
    `Db`

### getPropertyChoice

    public java.util.Vector getPropertyChoice()

  Description copied from class: `JetProperty`
  Only For Designer UI

  Overrides:
    `getPropertyChoice` in class `JetProperty`
  Returns:
    property choice

### setPropertyChoice

    public void setPropertyChoice(java.util.Vector propertyChoice)

  set property choice

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD